Index: /pjproject/trunk/pjsip-apps/src/symbian_ua_gui/group/symbian_ua_gui.mmp
===================================================================
--- /pjproject/trunk/pjsip-apps/src/symbian_ua_gui/group/symbian_ua_gui.mmp	(revision 2820)
+++ /pjproject/trunk/pjsip-apps/src/symbian_ua_gui/group/symbian_ua_gui.mmp	(revision 2821)
@@ -63,5 +63,5 @@
 
 #if SND_HAS_VAS
-//	LIBRARY		
+	LIBRARY		VoIPAudioIntfc.lib		
 #endif
 
Index: /pjproject/trunk/pjsip-apps/src/symsndtest/app_main.cpp
===================================================================
--- /pjproject/trunk/pjsip-apps/src/symsndtest/app_main.cpp	(revision 2820)
+++ /pjproject/trunk/pjsip-apps/src/symsndtest/app_main.cpp	(revision 2821)
@@ -18,6 +18,7 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
  */
+#include <pjmedia-audiodev/audiodev.h>
 #include <pjmedia/delaybuf.h>
-#include <pjmedia/sound.h>
+#include <pj/assert.h>
 #include <pj/errno.h>
 #include <pj/os.h>
@@ -37,5 +38,5 @@
 
 static pj_caching_pool cp;
-static pjmedia_snd_stream *strm;
+static pjmedia_aud_stream *strm;
 static unsigned rec_cnt, play_cnt;
 static pj_time_val t_start;
@@ -86,5 +87,5 @@
 
     /* Init sound subsystem */
-    status = pjmedia_snd_init(&cp.factory);
+    status = pjmedia_aud_subsys_init(&cp.factory);
     if (status != PJ_SUCCESS) {
     	app_perror("pjmedia_snd_init()", status);
@@ -94,13 +95,15 @@
     }
 
-    count = pjmedia_snd_get_dev_count();
+    count = pjmedia_aud_dev_count();
     PJ_LOG(3,(THIS_FILE, "Device count: %d", count));
     for (i=0; i<count; ++i) {
-    	const pjmedia_snd_dev_info *info;
-
-    	info = pjmedia_snd_get_dev_info(i);
+    	pjmedia_aud_dev_info info;
+    	pj_status_t status;
+
+    	status = pjmedia_aud_dev_get_info(i, &info);
+    	pj_assert(status == PJ_SUCCESS);
     	PJ_LOG(3, (THIS_FILE, "%d: %s %d/%d %dHz",
-    		   i, info->name, info->input_count, info->output_count,
-    		   info->default_samples_per_sec));
+    		   i, info.name, info.input_count, info.output_count,
+    		   info.default_samples_per_sec));
     }
 
@@ -131,17 +134,13 @@
 /* Sound capture callback */
 static pj_status_t rec_cb(void *user_data,
-			  pj_uint32_t timestamp,
-			  void *input,
-			  unsigned size)
+			  pjmedia_frame *frame)
 {
     PJ_UNUSED_ARG(user_data);
-    PJ_UNUSED_ARG(timestamp);
-    PJ_UNUSED_ARG(size);
-
-    pjmedia_delay_buf_put(delaybuf, (pj_int16_t*)input);
-
-    if (size != SAMPLES_PER_FRAME*2) {
+
+    pjmedia_delay_buf_put(delaybuf, (pj_int16_t*)frame->buf);
+
+    if (frame->size != SAMPLES_PER_FRAME*2) {
 		PJ_LOG(3, (THIS_FILE, "Size captured = %u",
-	 		   size));
+	 		   frame->size));
     }
 
@@ -152,13 +151,11 @@
 /* Play cb */
 static pj_status_t play_cb(void *user_data,
-			   pj_uint32_t timestamp,
-			   void *output,
-			   unsigned size)
+			   pjmedia_frame *frame)
 {
     PJ_UNUSED_ARG(user_data);
-    PJ_UNUSED_ARG(timestamp);
-    PJ_UNUSED_ARG(size);
-
-    pjmedia_delay_buf_get(delaybuf, (pj_int16_t*)output);
+
+    pjmedia_delay_buf_get(delaybuf, (pj_int16_t*)frame->buf);
+    frame->size = SAMPLES_PER_FRAME*2;
+    frame->type = PJMEDIA_FRAME_TYPE_AUDIO;
 
     ++play_cnt;
@@ -169,4 +166,5 @@
 static pj_status_t snd_start(unsigned flag)
 {
+    pjmedia_aud_param param;
     pj_status_t status;
 
@@ -176,17 +174,11 @@
     }
 
-    if (flag==PJMEDIA_DIR_CAPTURE_PLAYBACK)
-    	status = pjmedia_snd_open(-1, -1, CLOCK_RATE, CHANNEL_COUNT,
-    				  SAMPLES_PER_FRAME, BITS_PER_SAMPLE,
-    				  &rec_cb, &play_cb, NULL, &strm);
-    else if (flag==PJMEDIA_DIR_CAPTURE)
-    	status = pjmedia_snd_open_rec(-1, CLOCK_RATE, CHANNEL_COUNT,
-    				      SAMPLES_PER_FRAME, BITS_PER_SAMPLE,
-    				      &rec_cb, NULL, &strm);
-    else
-    	status = pjmedia_snd_open_player(-1, CLOCK_RATE, CHANNEL_COUNT,
-    					 SAMPLES_PER_FRAME, BITS_PER_SAMPLE,
-    					 &play_cb, NULL, &strm);
-
+    pjmedia_aud_dev_default_param(0, &param);
+    param.channel_count = CHANNEL_COUNT;
+    param.clock_rate = CLOCK_RATE;
+    param.samples_per_frame = SAMPLES_PER_FRAME;
+    param.dir = (pjmedia_dir) flag;
+
+    status = pjmedia_aud_stream_create(&param, &rec_cb, &play_cb, NULL, &strm);
     if (status != PJ_SUCCESS) {
     	app_perror("snd open", status);
@@ -199,8 +191,8 @@
     pjmedia_delay_buf_reset(delaybuf);
 
-    status = pjmedia_snd_stream_start(strm);
+    status = pjmedia_aud_stream_start(strm);
     if (status != PJ_SUCCESS) {
     	app_perror("snd start", status);
-    	pjmedia_snd_stream_close(strm);
+    	pjmedia_aud_stream_destroy(strm);
     	strm = NULL;
     	return status;
@@ -221,9 +213,9 @@
     }
 
-    status = pjmedia_snd_stream_stop(strm);
+    status = pjmedia_aud_stream_stop(strm);
     if (status != PJ_SUCCESS) {
     	app_perror("snd failed to stop", status);
     }
-    status = pjmedia_snd_stream_close(strm);
+    status = pjmedia_aud_stream_destroy(strm);
     strm = NULL;
 
@@ -244,5 +236,5 @@
     	snd_stop();
 
-    pjmedia_snd_deinit();
+    pjmedia_aud_subsys_shutdown();
     pjmedia_delay_buf_destroy(delaybuf);
     pj_pool_release(pool);
